---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: moodle-api
  annotations:
    # use the shared ingress-nginx
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/cluster-issuer: letsencrypt-production
    {% if item.moodleapi_transfer_limit is defined -%}
    nginx.ingress.kubernetes.io/proxy-body-size: {{ item.moodleapi_transfer_limit }}
    {% else -%}
    nginx.ingress.kubernetes.io/proxy-body-size: {{ moodleapi_transfer_limit }}
    {% endif -%}
    alias-managed: "true"
spec:
  rules:
  - host: {{ item.name }}-api.let.ethz.ch
    http:
      paths:
        - backend:
            service:
              name: moodle-api
              port:
                number: 80
          path: /
          pathType: Prefix

  tls:
    - hosts:
        - {{ item.name }}-api.let.ethz.ch
      secretName: auto-cert
